package com.jenny.compressedblocks.moditems;

import com.jenny.compressedblocks.CompressedBlocks;
import net.minecraft.world.item.*;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

public class Tools {
    public static final DeferredRegister<Item> TOOLS =
            DeferredRegister.create(ForgeRegistries.ITEMS, CompressedBlocks.MODID);

    public static final RegistryObject<Item> ULTRA_SWORD = TOOLS.register("ultra_sword", () -> new SwordItem(ToolTiers.ULTRA, 3,  -2.4f, new Item.Properties().fireResistant()));
    public static final RegistryObject<Item> ULTRA_PICKAXE = TOOLS.register("ultra_pickaxe", () -> new PickaxeItem(ToolTiers.ULTRA, 1,  -2.8f, new Item.Properties().fireResistant()));
    public static final RegistryObject<Item> ULTRA_AXE = TOOLS.register("ultra_axe", () -> new AxeItem(ToolTiers.ULTRA, 5.0f,  -2.5f, new Item.Properties().fireResistant()));
    public static final RegistryObject<Item> ULTRA_SHOVEL = TOOLS.register("ultra_shovel", () -> new ShovelItem(ToolTiers.ULTRA, 1.5f,  -3.0f, new Item.Properties().fireResistant()));
    public static final RegistryObject<Item> ULTRA_HOE = TOOLS.register("ultra_hoe", () -> new HoeItem(ToolTiers.ULTRA, -4,  0.0f, new Item.Properties().fireResistant()));

    public static void register(IEventBus eventBus) {TOOLS.register(eventBus);}
}
